# Cambia el estado de la partida a lobby
function misc:gamestate/lobby

# Resetea las stats de todos los jugadores y limpia su inventario
scoreboard players reset @a
effect @a clear
clear @a

execute @e[name=100,type=armor_stand,score_lang_min=0,score_lang=0] ~ ~ ~ tellraw @a[tag=adm] {"text":"[Admins] §r§cSe ha iniciado un reset del mapa -> Lang: ESP","color":"gold"}
execute @e[name=100,type=armor_stand,score_lang_min=1,score_lang=1] ~ ~ ~ tellraw @a[tag=adm] {"text":"[Admins] §r§cSe ha iniciado un reset del mapa -> Lang: ENG","color":"gold"}

# ---------- Player id ------------------------
function core:gen_player_id

# ---------- Reset Todos los kits -------------
function kits:desactivar/01_arq
function kits:desactivar/02_ase
function kits:desactivar/03_barbaro
function kits:desactivar/04_br
function kits:desactivar/05_pala
function kits:desactivar/06_romp
function kits:desactivar/07_mara
function kits:desactivar/08_lb
function kits:desactivar/09_v
function kits:desactivar/10_dk
function kits:desactivar/11_pur
function kits:desactivar/12_hie
function kits:desactivar/13_rh
function kits:desactivar/14_umb
function kits:desactivar/15_mae

# ---------- Reset Torres -------------
scoreboard players set @e[tag=Torre] vidat 0

# -------------- Reset flint y ranita --------------------
function misc:flint/reset
function misc:ranita/reset
# -------------------- Reset Tienda -----------------------

# Detiene la ejecución de la tienda
setblock -326 48 -676 air

# Scores de cantidad de objetos
scoreboard players set @a tienda 0
scoreboard players set @a items 0
scoreboard players set @a 1' 404
scoreboard players set @a 2' 1
scoreboard players set @a 3' 0
scoreboard players set @a 4' 0
scoreboard players set @a 5' 0
scoreboard players set @a 6' 0
scoreboard players set @a 7' 0
scoreboard players set @a 8' 0
scoreboard players set @a 9' 0
scoreboard players set @a 10' 0
scoreboard players set @a 11' 0
scoreboard players set @a 12' 0
scoreboard players set @a 13' 0
scoreboard players set @a 14' 0
scoreboard players set @a 15' 0
scoreboard players set @a 16' 0
scoreboard players set @a 17' 0
scoreboard players set @a 18' 0
scoreboard players set @a 19' 0
# Scores de compra en tienda
scoreboard players set @a 1 0
scoreboard players set @a 2 0
scoreboard players set @a 3 0
scoreboard players set @a 4 0
scoreboard players set @a 5 0
scoreboard players set @a 6 0
scoreboard players set @a 7 0
scoreboard players set @a 8 0
scoreboard players set @a 9 0
scoreboard players set @a 10 0
scoreboard players set @a 11 0
scoreboard players set @a 12 0
scoreboard players set @a 13 0
scoreboard players set @a 14 0
scoreboard players set @a 15 0
scoreboard players set @a 16 0
scoreboard players set @a 17 0
scoreboard players set @a 18 0
scoreboard players set @a 19 0
scoreboard players set @a 20 0
scoreboard players set @a 21 0
scoreboard players set @a 22 0
scoreboard players set @a 23 0
# Scores para venta en tienda
scoreboard players set @a v1 0
scoreboard players set @a v2 0
scoreboard players set @a v3 0
scoreboard players set @a v4 0
scoreboard players set @a v5 0
scoreboard players set @a v6 0
scoreboard players set @a v7 0
scoreboard players set @a v8 0
scoreboard players set @a v9 0
scoreboard players set @a v10 0
scoreboard players set @a v11 0
scoreboard players set @a v12 0
scoreboard players set @a v13 0
scoreboard players set @a v14 0
scoreboard players set @a v15 0
scoreboard players set @a v16 0
scoreboard players set @a v17 0
scoreboard players set @a v18 0
scoreboard players set @a v19 0

# ----------- Set up inventario -----------
scoreboard players set @a tienda_espacio 8

# -------------------------------------------------- FIN TIENDA

# ---------- Reset Stats -------------
scoreboard players set @a vreg 3
scoreboard players set @a mreg 2
scoreboard players set @a dano 100
scoreboard players set @a inda 100
scoreboard players set @a poder 100
scoreboard players set @a cdr 0
# ------------------------------------

# --------- Triggers menú ingame --------
scoreboard players set @a ingame_trigger 0
scoreboard players enable @a ingame_trigger
# ------------------------------------

scoreboard players tag @e[name=100,type=armor_stand] remove NEXO_ACTIVO
scoreboard players tag @e[name=100,type=armor_stand] remove NEXO_ACTIVO_AZUL
scoreboard players tag @e[name=100,type=armor_stand] remove NEXO_ACTIVO_ROJO
scoreboard players tag @a remove block_opt_lobby
kill @e[tag=hoyoj]
kill @e[tag=josito]
setblock -310 52 -668 air
execute @p[score_mjos_min=1,team=red] ~ ~ ~ /setblock -307 52 -668 redstone_block
execute @p[score_mjos_min=1,team=blue] ~ ~ ~ /setblock -306 52 -668 redstone_block
scoreboard players set @a mjos 0
setblock -308 52 -637 air
fill -326 53 -667 -326 52 -667 air
scoreboard players set @e[name=100] putret 3000
setblock -309 52 -646 air
setblock -386 47 -675 air
kill @e[tag=gemrom]
kill @e[tag=planta]
kill @e[tag=cartel]
setblock -309 52 -646 air
setblock -337 47 -672 air
setblock -351 47 -672 air
kill @e[tag=pala]

setblock -379 47 -652 air
title @a times 0 60 5
scoreboard players set @a vida 1500
scoreboard players set @a mana 1000
setblock -391 56 -716 minecraft:stone
# fill -373 47 -658 -357 47 -658 air
scoreboard teams leave @a

# Reseteo de la eliminación de jugadores
scoreboard players set @a tm 0
scoreboard players tag @a remove jugadoreliminado

scoreboard players tag @a reset
scoreboard players set @a cdola 0

scoreboard objectives setdisplay sidebar.team.red
scoreboard objectives setdisplay sidebar.team.blue
scoreboard objectives setdisplay sidebar

# Reseteo del cazaconjuros
setblock -421 47 -759 air 0
execute @e[tag=rhh2gen] ~ ~ ~ function kits:rh/h2/destruir

scoreboard players tag @e[tag=umbhpenem] remove umbhpenem
scoreboard players tag @e[tag=umbhpenematacado] remove umbhpenematacado
scoreboard players tag @e[tag=umbhp2enematacado] remove umbhp2enematacado
scoreboard players tag @e[tag=umbh2enem] remove umbh2enem
scoreboard players tag @e[tag=umbh3enem] remove umbh3enem

scoreboard players set @a h1 0
scoreboard players set @a h2 0
scoreboard players set @a h3 0
scoreboard players set @a cd1 0
scoreboard players set @a cd2 0
scoreboard players set @a cd3 0

scoreboard players set @a barbaro 0
scoreboard players set @a romp 0
scoreboard players set @a br 0
scoreboard players set @a pala 0
scoreboard players set @a rh 0
scoreboard players set @a rh_h1_id 0
scoreboard players set @a rh_h3_id 0
scoreboard players set @a ase 0
scoreboard players set @a arq 0
scoreboard players set @a pur 0
scoreboard players set @a mara 0
scoreboard players set @a lb 0
scoreboard players set @a v 0
scoreboard players set @a espada 0

# reset subditos 
kill @e[tag=su_blue]
kill @e[tag=su_red]
fill -325 48 -672 -325 48 -674 air 0

kill @e[name=romp_h3_as1]
kill @e[name=fosa]
kill @e[tag=romp_h3_gen]

scoreboard players set @a oro 0
scoreboard players set @a oro' 0
kill @e[tag=kit]
scoreboard players set @a imp2 50
scoreboard players set @a ove 0
scoreboard players set @a mara 0
kill @e[tag=nidob]
setblock -289 53 -764 air
scoreboard players set @a regem 0
kill @e[name=zen]
scoreboard players set @a medi 0
setblock -298 52 -778 redstone_block
gamemode a @a
kill @e[name=tela]
kill @e[type=cave_spider]
fill -280 48 -778 -280 48 -779 air
fill -282 48 -774 -282 48 -779 air
kill @e[name=nido]
setblock -380 47 -664 air
kill @e[tag=rio]
scoreboard players set @a hemot 0
scoreboard players set @a hemo 0
scoreboard players set @a slc 1
setblock -326 47 -668 redstone_block
scoreboard players set @e[name=100] timerh 1000
kill @e[type=zombie_horse]
kill @e[type=Stray]
scoreboard players set @a pro 0
scoreboard players set @a esc 0
setblock -344 57 -763 air 0
kill @e[name=tu]
scoreboard players set @a statom2 0
scoreboard players set @a statom 0
scoreboard players set @a dk 0
scoreboard players set @a cdm 0
scoreboard players set @a desarm 0
scoreboard players set @a capa 0
scoreboard players set @a capam 0
scoreboard players set @a capm 0
scoreboard players set @a capar 0
scoreboard players set @a et 0
scoreboard players set @a effect -1
scoreboard players set @a cura 0
scoreboard players set @a man 0
scoreboard players set @a fuego 0
scoreboard players set @a pf 0
scoreboard players set @a pc 0
scoreboard players set @a pm 0
scoreboard players set @a effect2 -1
scoreboard players set @a tsindano 0
scoreboard players set @a pur 0
scoreboard players set @p[score_pur_min=1] ult 0
scoreboard players set @p[score_pur_min=1] reductor 1
scoreboard players set @a danomayal 0
scoreboard players set @a hie 0
scoreboard players set @a purt 0
scoreboard players set @a ult 0
kill @e[tag=inipart]
setblock -463 47 -721 air
xp -100000l @a
tp @a -437 50.2 -718
scoreboard players set @a enganche 0
kill @e[type=slime]
setblock -386 47 -675 air
setblock -294 56 -716 minecraft:red_sandstone
setblock -391 56 -716 minecraft:stone
setblock -367 47 -636 air
setblock -363 47 -636 air
kill @e[tag=palanca]
fill -400 51 -714 -399 54 -718 air
fill -286 51 -718 -287 53 -714 air
setblock -313 52 -763 air
setblock -303 52 -772 air
setblock -309 52 -764 air
kill @e[tag=os]
scoreboard players set @a osait 0
scoreboard players set @a br2 0
setblock -335 57 -779 air
setblock -330 58 -768 air
kill @e[name=murodk]
setblock -337 57 -771 air 0 
kill @e[tag=efectopro]
kill @e[tag=cnexo]
setblock -346 47 -648 air

# --------------------

execute @e[name=gemrom] ~ ~ ~ kill @e[type=armor_stand,r=2]
execute @e[name=planta] ~ ~ ~ kill @e[type=armor_stand,r=2]
fill -444 47 -721 -444 47 -739 air 0 replace redstone_block
setblock -324 47 -667 air
setblock -327 47 -668 air
fill -385 47 -675 -379 47 -675 air
scoreboard players set @e[name=100] subt -1
scoreboard players set @e[name=100] plantat -1
scoreboard players set @e[name=100] gemromt -1
kill @e[score_subdito_min=1]

scoreboard players set @a cceniza 0
scoreboard players set @a cesencias 0
scoreboard players set @a orbe2 0
scoreboard players set @a stun 0
scoreboard players set @a stun2 0
scoreboard players set @a slcr 0
scoreboard players set @a debi 0
scoreboard players set @a neuro 0
scoreboard players set @a para 0
scoreboard players set @a indaas 0
scoreboard players set @a danoas 0
scoreboard players set @a poderas 0
scoreboard players set @a debi2 0
scoreboard players set @a stun 0
scoreboard players set @a stun2 0
scoreboard players set @a pest 0

# ----------- Reset del lobby -----------

scoreboard players tag @e[name=100] remove LOBBY_PADS
scoreboard players tag @e[name=100] remove LOBBY_RNG
scoreboard players tag @e[name=100] remove LOBBY_INISEL
scoreboard players tag @e[name=100] remove LOBBY_MAIN
scoreboard players tag @e[name=100] remove LOBBY_MAINSEL
scoreboard players tag @e[name=100] remove LOBBY_INIGAME
scoreboard players tag @e[name=100] remove GAME_VOTE

scoreboard players tag @e[name=100] add LOBBY_STATS
scoreboard players tag @e[name=100] add LOBBY_AJUSTES

function misc:lobby/randomhead
tp @e[tag=aldeano_lobby] ~ ~-50 ~
kill @e[tag=lobby_decor]
kill @e[name=hueso]
kill @e[name=orbe]
kill @e[name=subblue]
kill @e[name=subred]
kill @e[tag=ajustes]
kill @e[tag=aldeano_lobby]
kill @e[tag=luisb1202]
kill @e[tag=video]
kill @e[tag=peste]
kill @e[tag=ublue]
kill @e[tag=ured]
kill @e[tag=flechaizq]
kill @e[tag=flechader]
kill @e[tag=seleccionar]
kill @e[type=Sheep]

# Textos del lobby ( Ajustes, botones, mesa... )
function misc:lobby/mesastats
function misc:lobby/labels/esp if @e[name=100,score_lang=0,score_lang_min=0]
function misc:lobby/labels/eng if @e[name=100,score_lang=1,score_lang_min=1]

setblock -435 50 -705 enchanting_table

summon villager -434.2 100.0 -704.82 {NoGravity:1,NoAI:1,Silent:1,Invincible:1,Tags:["aldeano_lobby"],Offers:{}}
summon villager -434.8 100.0 -704.82 {NoGravity:1,NoAI:1,Silent:1,Invincible:1,Tags:["aldeano_lobby"],Offers:{}}
summon villager -434.2 100.0 -704.22 {NoGravity:1,NoAI:1,Silent:1,Invincible:1,Tags:["aldeano_lobby"],Offers:{}}
summon villager -434.8 100.0 -704.22 {NoGravity:1,NoAI:1,Silent:1,Invincible:1,Tags:["aldeano_lobby"],Offers:{}}
tp @e[tag=aldeano_lobby] ~ ~-50 ~ 

setblock -442 51 -718 minecraft:magenta_glazed_terracotta facing=east
setblock -442 51 -716 minecraft:magenta_glazed_terracotta facing=west
setblock -441 51 -717 minecraft:stone_button facing=east
fill -442 50 -717 -442 53 -717 minecraft:wool 2
fill -434 49 -706 -436 49 -704 minecraft:wool 7
fill -436 49 -727 -434 49 -729 minecraft:wool 7
setblock -441 51 -720 minecraft:wool 14
setblock -440 51 -720 minecraft:stone_button 1
setblock -440 51 -714 minecraft:stone_button 1
setblock -441 51 -714 minecraft:wool 9
function selecc:pclear

scoreboard players set @a selrot 0
scoreboard players set @a slcr 0
scoreboard players set @a seleccion 1
scoreboard players set @a tuto 0
scoreboard players set @a sel 0
scoreboard players set @a selec 0

scoreboard players tag @a remove ban1
scoreboard players tag @a remove ban2
scoreboard players tag @a remove ban3
scoreboard players tag @a remove ban4
scoreboard players tag @a remove ban5
scoreboard players tag @a remove ban6
scoreboard players tag @a remove ban7
scoreboard players tag @a remove ban8
scoreboard players tag @a remove ban9
scoreboard players tag @a remove ban10
scoreboard players tag @a remove ban11
scoreboard players tag @a remove ban12
scoreboard players tag @a remove ban13
scoreboard players tag @a remove ban14

# Triggers 
scoreboard players enable @a opt_1
scoreboard players enable @a opt_2
scoreboard players enable @a opt_3

# ----------- Desactiva beacons de las bases
setblock -391 56 -716 minecraft:stone
setblock -294 56 -716 minecraft:stone

# ----------- Mayal -----------
setblock -397 54 -757 air
kill @e[tag=mayal]
kill @e[type=bat]

# Emergencia abisarius
setblock -300 52 -763 minecraft:air
setblock -348 47 -628 minecraft:air
kill @e[tag=stun]
function misc:barravida/grande/eliminartodo
setblock -390 46 -719 minecraft:structure_block 0 replace {metadata:"",mirror:"NONE",ignoreEntities:1b,powered:0b,seed:0L,author:"Iv1202",rotation:"NONE",posX:-4,mode:"LOAD",posY:1,sizeX:8,posZ:-1,integrity:1.0f,showair:0b,name:"NR",id:"minecraft:structure_block",sizeY:6,sizeZ:9,showboundingbox:0b}
setblock -390 46 -720 redstone_block
setblock -390 46 -720 air
setblock -390 46 -719 air
setblock -294 46 -719 minecraft:structure_block 0 replace {metadata:"",mirror:"NONE",ignoreEntities:1b,powered:0b,seed:0L,author:"Iv1202",rotation:"NONE",posX:-4,mode:"LOAD",posY:1,sizeX:8,posZ:-1,integrity:1.0f,showair:0b,name:"NA",id:"minecraft:structure_block",sizeY:6,sizeZ:9,showboundingbox:0b}
setblock -294 46 -720 redstone_block
setblock -294 46 -720 air
setblock -294 46 -719 air
setblock -365 47 -641 air 0
scoreboard players tag @a remove siz
scoreboard players tag @a remove scen
scoreboard players tag @a remove sder
scoreboard players tag @a remove svd
setblock -427 47 -760 air
scoreboard players set @e[name=100] seltim 0
scoreboard players set @e[name=100] inisel 0
scoreboard players set @e[name=100] seleccion 0
kill @e[tag=smark]
kill @e[tag=mini_barra_vida] 
kill @e[tag=himarra]
fill -342 47 -670 -342 47 -669 air 0
fill -342 48 -673 -342 48 -672 air 0

function gui:reset
kill @e[tag=morroescarcha]
kill @e[tag=morroescarcha_target]
setblock -344 47 -671 air 0
function jungla:terreno/reset
setblock -392 58 -779 air 0
kill @e[tag=dashumb]
scoreboard players tag @a remove target

# ----------- TIMERS -----------

scoreboard players tag @e[name=100] remove enable_timer
scoreboard players tag @e[name=100] remove inicio_parcial

#--------------------------

kill @e[tag=bufo_cloud]
scoreboard players tag @a remove bufo_plantas
scoreboard players tag @a remove bufo_dragons	
fill -342 48 -665 -342 48 -664 air 0
scoreboard players tag @s remove tienda_ayuda_pocion

# ---------- Reset umb -------------

kill @e[tag=umbhp]
kill @e[tag=umbh1]
kill @e[tag=umbh2]
kill @e[tag=umbh3]

# ---------- Reset mae -------------

scoreboard players set @a mae 0
scoreboard players set @a maeh1timer 0 
kill @e[tag=maehpespada_rotar] 
kill @e[tag=maehpespada_lanzar] 
kill @e[tag=maehpespada_suelo] 
setblock -430 47 -760 air 0

# ---------- Reset ase -----------------

scoreboard players tag @a remove inmortal
scoreboard players tag @a remove ase_hp_cd
setblock -433 47 -760 air 0
scoreboard players set @a invisible 0

# ---------- Reset TNT pringosa ----------
setblock -306 52 -656 air 0

# --------- reset tag first blood --------
scoreboard players tag @e[name=100] remove FIRST_BLOOD

# ---------- reset gemini -------------
function kits:arc/h1/marca/end
kill @e[tag=arc_h3_ini]
kill @e[tag=arc_h3_cast]

# ----------- set up vamp y reset --------------
scoreboard players set @a vh2orbes 0
kill @e[tag=vh3wing]

#-------------- setup recuperacion habilidades -------------

scoreboard players add @a pala 0
scoreboard players add @a dk 0

# ----------- Reset seleccion actualizada -----------
setblock -442 48 -722 air
kill @e[tag=SeleccControl]
kill @e[tag=aldeano_seleccion]

# ------ Reset plantas ---------
kill @e[tag=hie]
kill @e[tag=hi]
kill @e[tag=orohie]
kill @e[tag=oro]

# ---------- NADA POR DEBAJO DE ESTO ----------

clear @a
function misc:debug/libro

#------------ ITEMS -----------
function items:reset

#-------- reset palancas -------
function inicio:palancas/end
setblock -374 48 -668 air 0

# --------------------- FIN DEL RESET ---------------------